package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WtgStopPlant对象 wtg_stop_plant
 *
 * @author hlf
 * @date 2021-12-21
 */
public class WtgStopPlant extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long wturNo;

    private Date dataTime;

    private Date setTime;

    private Double ratePower;

    private Long ifstop;

    private Long outageType;

    private String reasonDowntime;

    private String overhaulResults;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setWturNo(Long wturNo) {
        this.wturNo = wturNo;
    }

    public Long getWturNo() {
        return wturNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setSetTime(Date setTime) {
        this.setTime = setTime;
    }

    public Date getSetTime() {
        return setTime;
    }

    public void setRatePower(Double ratePower) {
        this.ratePower = ratePower;
    }

    public Double getRatePower() {
        return ratePower;
    }

    public void setIfstop(Long ifstop) {
        this.ifstop = ifstop;
    }

    public Long getIfstop() {
        return ifstop;
    }

    public Long getOutageType() {
        return outageType;
    }

    public void setOutageType(Long outageType) {
        this.outageType = outageType;
    }

    public String getReasonDowntime() {
        return reasonDowntime;
    }

    public void setReasonDowntime(String reasonDowntime) {
        this.reasonDowntime = reasonDowntime;
    }

    public String getOverhaulResults() {
        return overhaulResults;
    }

    public void setOverhaulResults(String overhaulResults) {
        this.overhaulResults = overhaulResults;
    }

    /*关联表查询开始*/
    private String wturName;

    public String getWturName() {
        return wturName;
    }

    public void setWturName(String wturName) {
        this.wturName = wturName;
    }
    /*关联表查询结束*/

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("wturNo", getWturNo())
                .append("dataTime", getDataTime())
                .append("setTime", getSetTime())
                .append("ratePower", getRatePower())
                .append("ifstop", getIfstop())
                .toString();
    }
}
